#include <cassert>
#include "../myimg.h"

#include <iostream>

void
test_gradient_horizontal_planar_blue(void)
{
	TIFFimg img("test/gradient_horizontal_planar_blue_32x32.tif");

	uint8_t *u8 = static_cast<uint8_t *>(img.data());
	auto px = img.pixelbytes();
	for (size_t i = 0; i < img.width(); ++i) {
		assert(u8[px * i + 0] > 0);  // R
		assert(u8[px * i + 1] > 0);  // G
		assert(u8[px * i + 2] == 0xFF);  // B
		assert(u8[px * i + 3] == 0xFF);  // white alpha
	}
}

void
test_solid_black(void)
{
	TIFFimg img("test/solid_black_32x32.tif");

	uint8_t *u8 = static_cast<uint8_t *>(img.data());
	auto px = img.pixelbytes();
	for (size_t i = 0; i < img.width(); ++i) {
		assert(u8[px * i + 0] == 0);  // R
		assert(u8[px * i + 1] == 0);  // G
		assert(u8[px * i + 2] == 0);  // B
		assert(u8[px * i + 3] == 0xFF);  // white alpha
	}
}

int
main(void)
{
	test_solid_black();
	test_gradient_horizontal_planar_blue();
}
